#ifndef OF_HEPEVT_H
#define OF_HEPEVT_H

#include "OutputFormat.h"
#include <fstream>

namespace SANC {

class Info;
class Process;

class OF_HEPEVT : public OutputFormat {
public:
  OF_HEPEVT(Info &_info, Process &_proc);
  ~OF_HEPEVT() {}
  void start(std::string dirName, std::string fileName);
  void writeEvent(/*Event*/);
  void finish();

private:
  std::ofstream output;
  std::string dirName, fileName;
};

} // namespace SANC

#endif // OF_HEPEVT_H